## org.eclipse.datatools.sqltools.schemaobjecteditor.ui.core
Class SchemaObjectEditorPage.PageForm

    java.lang.Object
      org.eclipse.ui.forms.ManagedForm
          org.eclipse.datatools.sqltools.schemaobjecteditor.ui.core.SchemaObjectEditorPage.PageForm

All Implemented Interfaces:
  org.eclipse.ui.forms.IManagedForm

Enclosing class:
  SchemaObjectEditorPage

    public static class SchemaObjectEditorPage.PageForm

extends org.eclipse.ui.forms.ManagedForm

Constructor Summary
`SchemaObjectEditorPage.PageForm(SchemaObjectEditorPage page, org.eclipse.ui.forms.widgets.ScrolledForm form)`

Method Summary
`void` `dirtyStateChanged()`
`SchemaObjectEditorPage` `getPage()`
`void` `staleStateChanged()`

Methods inherited from class org.eclipse.ui.forms.ManagedForm
`addPart, commit, dispose, fireSelectionChanged, getContainer, getForm, getInput, getMessageManager, getParts, getToolkit, initialize, isDirty, isStale, reflow, refresh, removePart, setContainer, setFocus, setInput`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SchemaObjectEditorPage.PageForm

    public SchemaObjectEditorPage.PageForm(SchemaObjectEditorPage page,
                                           org.eclipse.ui.forms.widgets.ScrolledForm form)

Method Detail

### getPage

    public SchemaObjectEditorPage getPage()

### dirtyStateChanged

    public void dirtyStateChanged()

  Specified by:
    `dirtyStateChanged` in interface `org.eclipse.ui.forms.IManagedForm`
  Overrides:
    `dirtyStateChanged` in class `org.eclipse.ui.forms.ManagedForm`

### staleStateChanged

    public void staleStateChanged()

  Specified by:
    `staleStateChanged` in interface `org.eclipse.ui.forms.IManagedForm`
  Overrides:
    `staleStateChanged` in class `org.eclipse.ui.forms.ManagedForm`